Bug 1581387 - Dynamic dropdown doesn't refresh correctly
Summary: Dynamic dropdown doesn't refresh correctly
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: eclarizi
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1574668
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-22 15:45 UTC by Satoe Imaishi
Modified: 2018-06-25 14:21 UTC (History)
10 users (show)

(edit)
Clone Of: 1574668
(edit)
Last Closed: 2018-06-25 14:20:46 UTC


Attachments (Terms of Use)
datastore (806.28 KB, application/zip)
2018-06-04 15:25 UTC, Tasos Papaioannou
no flags Details
dialog (2.55 KB, text/x-vhdl)
2018-06-04 15:25 UTC, Tasos Papaioannou
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:21 UTC

Comment 2 Tina Fitzgerald 2018-05-23 19:30:03 UTC
Hi Satoe,
 
I talked to Erik about this issue and back porting the PRs merged for the original issue will not resolve this issue.

Thanks,
Tina

Comment 5 Shveta 2018-05-29 18:34:23 UTC
Fixed in master.20180525014609_98ef65d.

Comment 6 eclarizi 2018-06-01 07:18:17 UTC
So, I'm pretty sure that I have the necessary fix ready to go here: https://github.com/ManageIQ/manageiq-ui-classic/pull/4020 (it seems simple enough that the javascript refresh call is just being called too late).

In an example dialog I whipped up, it appears that when I change the first drop-down, the second responds properly, but I'm unable to import the datastore and dialog that was provided in the original BZ. Do we know if the customer has a valid 5.8 dialog they can reproduce this issue with that I can test with to ensure I didn't oversimplify my dialog?

Comment 7 CFME Bot 2018-06-01 16:19:11 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/814b391962ed07ed86117f004dc133760ca48f31
commit 814b391962ed07ed86117f004dc133760ca48f31
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Fri Jun  1 02:56:33 2018 -0400
Commit:     Erik Clarizio <eclarizio@gmail.com>
CommitDate: Fri Jun  1 02:56:33 2018 -0400

    Ensure dropdown gets selectpicker refreshed after values set

    https://bugzilla.redhat.com/show_bug.cgi?id=1581387

 app/assets/javascripts/dialog_field_refresh.js | 2 +-
 spec/javascripts/dialog_field_refresh_spec.js | 6 +
 2 files changed, 7 insertions(+), 1 deletion(-)

Comment 8 Tasos Papaioannou 2018-06-04 15:25 UTC
Created attachment 1447538 [details]
datastore

Comment 9 Tasos Papaioannou 2018-06-04 15:25 UTC
Created attachment 1447539 [details]
dialog

Comment 10 Tasos Papaioannou 2018-06-04 15:28:55 UTC
I've attached datastore and dialog export files for 5.8. I was able to get the dynamic "network" dropdown's auto-refresh working on 5.8.4.2 and 5.8.4.3 if I have both of these options selected:

tenant:		Auto Refresh other fields when modified
network:	Auto refresh

Comment 11 Tasos Papaioannou 2018-06-12 17:31:11 UTC
Verified.

Comment 13 errata-xmlrpc 2018-06-25 14:20:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.